﻿using System.Collections.Generic;

namespace ClipExtension.Common
{
	public class DataUnitComparer : IComparer<DataUnit>
	{
		#region IComparer<DataUnit> Members

		public int Compare( DataUnit x, DataUnit y )
		{
			{
				if ( x == null )
				{
					if ( y == null )
					{
						return 0;
					}
					else
					{
						return -1;
					}
				}
				else
				{
					if ( y == null )
					{
						return 1;
					}
					else
					{
						int result = y.LastUsedTime.CompareTo( x.LastUsedTime );

						if ( result != 0 )
						{
							return result;
						}

						return x.ToString().CompareTo( y.ToString() );
					}
				}
			}
		}

		#endregion
	}
}