﻿using System.Collections.Generic;
using ClipExtension.Common;
using Tomham;

namespace ClipExtension.Plugins
{
	public class ClipboardManipulateCommandArgs
	{
		public ClipboardManipulateCommandArgs( IMessageOutput output,
		                                       IClipboardManipulator clipboardManipulator,
		                                       List<DataUnit> targets )
		{
			Output = output;
			Targets = targets;
			ClipboardManipulator = clipboardManipulator;
		}

		public IMessageOutput Output { get; set; }
		public List<DataUnit> Targets { get; private set; }
		public IClipboardManipulator ClipboardManipulator { get; private set; }
	}
}