namespace ClipExtension.Plugins
{
	public abstract class Command<T>
	{
		private string NameStore;

		public string Name
		{
			get
			{
				if ( NameStore == null )
				{
					NameStore = string.Empty;
				}

				return NameStore;
			}
			set { NameStore = value; }
		}

		public abstract void Execute( T args );

		public override string ToString()
		{
			return Name;
		}
	}
}