﻿using ClipExtension.Common;
using Tomham;

namespace ClipExtension.Plugins
{
	public class CopyingFromClipboardArgs : Args
	{
		public CopyingFromClipboardArgs( IMessageOutput output, Repository repository, DataUnit target )
			: base( output, repository )
		{
			Target = target;
		}

		public bool Cancel { get; set; }
		public DataUnit Target { get; private set; }
	}
}