﻿using System.Collections.Generic;
using ClipExtension.Common;
using Tomham;

namespace ClipExtension.Plugins
{
	public class EditCommandArgs : Args
	{
		public EditCommandArgs( IMessageOutput output, Repository repository, List<DataUnit> targets, bool targetsFromHistory )
			: base( output, repository )
		{
			Targets = targets;
			TargetsFromHistory = targetsFromHistory;
		}

		public List<DataUnit> Targets { get; private set; }
		public bool TargetsFromHistory { get; private set; }
	}
}