﻿using System.Windows.Forms;
using ClipExtension.Common;

namespace ClipExtension.Plugins
{
	public interface IFormatSupporter
	{
		void RepositorySaving( RepositorySavingArgs args );
		void RepositorySaved( RepositorySavedArgs args );
		void Load( LoadArgs args );
		void UnLoad( UnLoadArgs args );
		bool Supported( IDataObject dataObject );
		bool Supported( IData data );
		void SetUpData( SetUpDataArgs args );
		void SetUpDataObject( SetUpDataObjectArgs args );
	}
}