﻿namespace ClipExtension.Plugins
{
	public interface IProcessor
	{
		void Load( LoadArgs args );
		void UnLoad( UnLoadArgs args );
		void RepositorySaving( RepositorySavingArgs args );
		void RepositorySaved( RepositorySavedArgs args );
		void CopyingFromClipboard( CopyingFromClipboardArgs args );
		void CopiedFromClipboard( CopiedFromClipboardArgs args );
		void Copying( CopyingArgs args );
		void Copied( CopiedArgs args );
	}
}