﻿using System.Windows.Forms;
using ClipExtension.Common;
using Tomham;

namespace ClipExtension.Plugins
{
	public class SetUpDataArgs
	{
		public SetUpDataArgs( IMessageOutput output, IDataObject dataObject, DataUnitComposer composer )
		{
			Output = output;
			DataObject = dataObject;
			Composer = composer;
		}

		public IMessageOutput Output { get; set; }
		public IDataObject DataObject { get; set; }
		public DataUnitComposer Composer { get; set; }
	}
}