﻿using ClipExtension.Options;
using Tomham.IO;
using Yaowi.Common.Serialization;

namespace ClipExtension
{
	public class AllOptionsSerializer : Serializer<AllOptions>
	{
		protected override void DoSerialize( AllOptions allOptions, string fileName )
		{
			var serializer = new XmlSerializer();

			serializer.Serialize( allOptions, fileName );
		}

		public override AllOptions DeSerialize( string fileName )
		{
			var deserializer = new XmlDeserializer();
			return (AllOptions) ( deserializer.Deserialize( fileName ) );
		}
	}
}