﻿using System;
using System.Windows.Forms;
using Tomham;

namespace ClipExtension
{
	public partial class LogForm : Form
	{
		public LogForm()
		{
			InitializeComponent();
		}

		public void SetUp( MessageBoard messageBoard )
		{
			string[] messages = messageBoard.GetMessages();

			foreach ( string message in messages )
			{
				textBox1.Text += message;
				textBox1.Text += "\r\n";

				if ( 1000000 < textBox1.Text.Length )
				{
					messageBoard.ClearMessages();
					textBox1.Clear();
				}
			}
		}

		private void LogForm_Shown( object sender, EventArgs e )
		{
			textBox1.SelectionStart = textBox1.Text.Length;
			textBox1.Focus();
			textBox1.ScrollToCaret();

		}
	}
}