﻿using System;
using System.Diagnostics;
using System.Windows.Forms;
using Tomham.Diagnostics;

namespace ActiveTest
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void button1_Click( object sender, EventArgs e )
		{
			Hide();
			if ( listBox1.SelectedItem != null )
			{
				var p = ( (ProcessHolder) listBox1.SelectedItem );

				ProcessHelper.ActivateWindow( p.Process );
				ProcessHelper.ActivateWindow(p.Process);
			}

			Show();
		}

		private void Form1_Load( object sender, EventArgs e )
		{
			Process[] processes = Process.GetProcesses();

			foreach ( Process process in processes )
			{
				listBox1.Items.Add( new ProcessHolder { Process = process } );
			}
		}
	}
}