﻿using System.Drawing;
using Tomham.Windows.Forms;
using Tomham.Windows.Forms.AutoGeneration;

namespace ActiveTest
{
	public class SampleController : AutoAdjustedController<Class1>
	{
		public SampleController( object target ) : base( target )
		{
		}

		public override void UpdateToTarget()
		{
		}

		public override void UpdateToControl()
		{
		}

		protected override void SetUpContentControls()
		{
			AddContent( new LabeledTextBox { TitleText = "Sample" } );
			AddContent( new FilterListBox { Size = new Size( 400, 300 ) } );
			AddContent( new FilterListBox { Size = new Size( 300, 300 ) } );
		}
	}
}