﻿using System.Linq;

namespace Tomham.Windows.Forms
{
	internal class DefaultMatchedItemPredicater : IMatchedItemPredicater
	{
		#region IMatchedItemPredicater Members

		public bool IsMatchedItem( string filterText, object item )
		{
			if ( item == null )
			{
				return false;
			}

			string[] words = filterText.ToLower().Split( ' ' );
			string itemText = item.ToString().ToLower();
			return words.All( itemText.Contains );
		}

		#endregion
	}
}