﻿using System.ComponentModel;

namespace Tomham.Windows.Forms
{
	public partial class LabeledKeysBox : LabeledControl
	{
		public LabeledKeysBox()
		{
			InitializeComponent();
			KeysBox = new KeysBox();

			SetContent( KeysBox );
		}

		[Category( "Default" )]
		[BrowsableAttribute( true )]
		[DesignerSerializationVisibility( DesignerSerializationVisibility.Content )]
		public KeysBox KeysBox { get; private set; }
	}
}