﻿using System.ComponentModel;
using System.Windows.Forms;

namespace Tomham.Windows.Forms
{
	public partial class LabeledListView : LabeledControl
	{
		public LabeledListView()
		{
			InitializeComponent();

			ListView = new ListView();

			SetContent( ListView );
		}

		[Category( "Default" )]
		[BrowsableAttribute( true )]
		[DesignerSerializationVisibility( DesignerSerializationVisibility.Content )]
		public ListView ListView { get; private set; }
	}
}