﻿using System.Collections.Generic;
using System.Text.RegularExpressions;

namespace ClipExtension.Controls
{
	public class IsMatchedItemArgs
	{
		private Dictionary<string, Regex> RegexesStore;
		private List<string> TagsStore;
		private List<string> WordsStore;

		public List<string> Tags
		{
			get
			{
				if ( TagsStore == null )
				{
					TagsStore = new List<string>();
				}

				return TagsStore;
			}

			set { TagsStore = value; }
		}

		public List<string> Words
		{
			get
			{
				if ( WordsStore == null )
				{
					WordsStore = new List<string>();
				}

				return WordsStore;
			}

			set { WordsStore = value; }
		}

		public Dictionary<string, Regex> Regexes
		{
			get
			{
				if ( RegexesStore == null )
				{
					RegexesStore = new Dictionary<string, Regex>();
				}

				return RegexesStore;
			}
			set { RegexesStore = value; }
		}

		public bool FirstMatching { get; set; }

		public bool CaseSensitive { get; set; }

		public SearchMode SearchMode { get; set; }
	}
}