﻿using System.Collections;
using ClipExtension.Common;

namespace ClipExtension.Controls
{
	public class ItemComparer : IComparer
	{
		#region IComparer Members

		public int Compare( object x, object y )
		{
			{
				if ( x == null )
				{
					if ( y == null )
					{
						return 0;
					}
					else
					{
						return -1;
					}
				}
				else
				{
					if ( y == null )
					{
						return 1;
					}
					else
					{
						var castedX = (DataUnit) x;
						var castedY = (DataUnit) y;

						int result = castedY.LastUsedTime.CompareTo( castedX.LastUsedTime );

						if ( result != 0 )
						{
							return result;
						}

						return castedX.ToString().CompareTo( castedY.ToString() );
					}
				}
			}
		}

		#endregion
	}
}