﻿using System;
using System.ComponentModel;
using System.Windows.Forms;
using Tomham.Windows.Forms;

namespace ClipExtension.Controls
{
	public partial class PluginsPreferenceBox : UserControl
	{
		public PluginsPreferenceBox()
		{
			InitializeComponent();
		}

		[Category( "Default" )]
		[BrowsableAttribute( false )]
		[DesignerSerializationVisibility( DesignerSerializationVisibility.Hidden )]
		public ListBox PriorityListBox
		{
			get { return PriorityLabeledUpDownListBox.UpDownListBox.ListBox; }
		}

		[Category( "Default" )]
		[BrowsableAttribute( false )]
		[DesignerSerializationVisibility( DesignerSerializationVisibility.Hidden )]
		public ListBox DefaultListBox
		{
			get { return DefaultLabeledListBox.ListBox; }
		}

		private void MovePriorityToDefaultButton_Click( object sender, EventArgs e )
		{
			PriorityLabeledUpDownListBox.UpDownListBox.ListBox.MoveSelectedItemsToOther( DefaultLabeledListBox.ListBox );
		}

		private void MoveDefaultToPriorityButton_Click( object sender, EventArgs e )
		{
			DefaultLabeledListBox.ListBox.MoveSelectedItemsToOther( PriorityLabeledUpDownListBox.UpDownListBox.ListBox );
		}
	}
}