﻿using ClipExtension.Common;

namespace ClipExtension.Plugins
{
	public interface IClipboardManipulator
	{
		Repository Repository { get; set; }
		int BeforePasteDelay { get; set; }
		int CopyReTryDelay { get; set; }
		int CopyReTryTimes { get; set; }
		void CopyAndPaste( DataUnit dataUnit );
		bool Copy( DataUnit dataUnit );
	}
}