﻿using System;
using System.Windows.Forms;
using ClipExtension.Main;

namespace ClipExtension
{
	public partial class PasterEditForm : Form
	{
		public PasterEditForm()
		{
			InitializeComponent();
		}

		public Paster Target { get; private set; }

		public void SetUp( Paster paster )
		{
			Target = paster;

			UpdateToControls();
		}

		private void UpdateToControls()
		{
			labeledTextBox1.TextBox.Text = Target.TargetProcessName;
			labeledKeysBox1.KeysBox.KeyData = Target.Keys;
		}

		private void UpdateToTarget()
		{
			Target.TargetProcessName = labeledTextBox1.TextBox.Text;
			Target.Keys = labeledKeysBox1.KeysBox.KeyData;
		}

		private void okCancelPanel1_OKButton_Click( object sender, EventArgs e )
		{
			UpdateToTarget();
			DialogResult = DialogResult.OK;
		}
	}
}