﻿using System;
using System.Collections.Generic;
using NUnit.Framework;
using Tomham.Collections.Generic;

namespace Tomham.Collections.Tests
{
	[TestFixture]
	public class EnumerableHelperHelperTest
	{
		[Test]
		public void ContainsReference()
		{
			var time = new DateTime();

			var list = new List<object> { time, "dog" };

			Assert.That( list.Contains( time ) );
			Assert.That( list.ContainsReference( time ), Is.EqualTo( false ) );
		}
	}
}