﻿using System.Collections;

namespace Tomham.Windows.Forms
{
	internal class DefaultFilterListBoxItemComparer : IComparer
	{
		private static readonly DefaultFilterListBoxItemComparer InstanceStore =
			new DefaultFilterListBoxItemComparer();

		private DefaultFilterListBoxItemComparer()
		{
		}

		public static DefaultFilterListBoxItemComparer Instance
		{
			get { return InstanceStore; }
		}

		#region IComparer メンバ

		public int Compare( object x, object y )
		{
			{
				if ( x == null )
				{
					if ( y == null )
					{
						return 0;
					}
					else
					{
						return -1;
					}
				}
				else
				{
					if ( y == null )
					{
						return 1;
					}
					else
					{
						return x.ToString().CompareTo( y.ToString() );
					}
				}
			}
		}

		#endregion
	}
}