﻿using System.ComponentModel;
using System.Windows.Forms;

namespace Tomham.Windows.Forms
{
	public partial class LabeledComboBox : LabeledControl
	{
		public LabeledComboBox()
		{
			InitializeComponent();

			ComboBox = new ComboBox();

			SetContent( ComboBox );
		}

		[Category( "Default" )]
		[BrowsableAttribute( true )]
		[DesignerSerializationVisibility( DesignerSerializationVisibility.Content )]
		public ComboBox ComboBox { get; private set; }
	}
}