﻿using System.ComponentModel;
using System.Windows.Forms;

namespace Tomham.Windows.Forms
{
	public partial class LabeledListBox : LabeledControl
	{
		public LabeledListBox()
		{
			InitializeComponent();

			ListBox = new ListBox();

			SetContent( ListBox );
		}

		[Category( "Default" )]
		[BrowsableAttribute( true )]
		[DesignerSerializationVisibility( DesignerSerializationVisibility.Content )]
		public ListBox ListBox { get; private set; }
	}
}