﻿using System.ComponentModel;
using System.Windows.Forms;

namespace Tomham.Windows.Forms
{
	public partial class LabeledNumericUpDown : LabeledControl
	{
		public LabeledNumericUpDown()
		{
			InitializeComponent();

			NumericUpDown = new NumericUpDown();

			SetContent( NumericUpDown );
		}

		[Category( "Default" )]
		[BrowsableAttribute( true )]
		[DesignerSerializationVisibility( DesignerSerializationVisibility.Content )]
		public NumericUpDown NumericUpDown { get; private set; }
	}
}