﻿using System.ComponentModel;
using System.Windows.Forms;

namespace Tomham.Windows.Forms
{
	public partial class LabeledTextBox : LabeledControl
	{
		public LabeledTextBox()
		{
			InitializeComponent();

			TextBox = new TextBox();

			SetContent( TextBox );
		}

		[Category( "Default" )]
		[BrowsableAttribute( true )]
		[DesignerSerializationVisibility( DesignerSerializationVisibility.Content )]
		public TextBox TextBox { get; private set; }
	}
}