﻿using System;
using System.Collections.Generic;

namespace Tomham
{
	public static class StringHelper
	{
		public static string EditEachLine( string text, Func<string, string> editLine )
		{
			string[] splited = text.Split( new[] { "\r\n" }, StringSplitOptions.None );

			var result = new List<string>();

			foreach ( string s in splited )
			{
				result.Add( editLine( s ) );
			}

			return string.Join( "\r\n", result.ToArray() );
		}
	}
}